![BepInEx logo](https://avatars2.githubusercontent.com/u/39589027?s=256)

# BepInExPack for GTFO

This is [BepInEx 6.0.0 Bleeding Edge Build](https://github.com/BepInEx/BepInEx) pack for GTFO.

BepInEx is a general purpose framework for Unity modding.
BepInEx includes tools and libraries to

* load custom code (hereafter *plugins*) into the game on launch;
* patch in-game methods, classes and even entire assemblies without touching original game files;
* configure plugins and log game to desired outputs like console or file;
* manage plugin dependencies.

BepInEx is currently [one of the most popular modding tools for Unity on GitHub](https://github.com/topics/modding?o=desc&s=stars).

## THESE ARE BLEEDING EDGE BUILDS

Bleeding edge builds of BepInEx are not considered stable and may include bugs.
Please report any issues to [BepInEx GitHub by creating issue tickets](https://github.com/BepInEx/BepInEx).

## This pack's contents

This pack is preconfigured and usable for GTFO modding.  
In particular, the changes from base BepInEx releases are:

* Added preconfigured `BepInEx.cfg` with console enabled.
* Added plugin `GTFO-API.dll` with basic functionality for users and developers.

## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `BepInExPack_GTFO` folder into `<Steam Location>\steamapps\common\GTFO`.
3. Run the game

If done correctly, you should see a BepInEx console appearing when the game launches.

## Issues, questions, etc.

At this moment, you can use the following channels to ask for help
* [GTFO Modding Discord](https://discord.gg/uE27PEZSds)
* [BepInEx Discord](https://discord.gg/MpFEDAg) -- **Only technical support for THIS PACKAGE. No support for plugins.**

## Changelog

#### 1.7.0 (based on BepInEx 6.0.0-be.525)
* Updated to latest Bleeding Edge build
* Updated [GTFO-API](https://github.com/GTFO-Modding/GTFO-API) to 0.1.3

#### 1.6.1 (based on BepInEx 6.0.0-be.511)
* Updated [GTFO-API](https://github.com/GTFO-Modding/GTFO-API) to 0.1.2

#### 1.6.0 (based on BepInEx 6.0.0-be.511)
* Updated to latest Bleeding Edge build with new unhollower changes
* Updated [GTFO-API](https://github.com/GTFO-Modding/GTFO-API) to 0.1.1

#### 1.5.0 (based on BepInEx 6.0.0-be.424)
* Updated to latest Bleeding Edge build
* Added [GTFO-API](https://github.com/GTFO-Modding/GTFO-API) as a default plugin

#### 1.4.0 (based on BepInEx 6.0.0-be.423)

* Updated to latest Bleeding Edge build
* Removed Unity libraries as they are now downloaded by BepInEx automatically

#### 1.3.0 (based on BepInEx 6.0.0-be.368)
* Updated to latest Bleeding Edge build that fixes issues with some `System.Text.Json` API

#### 1.2.0 (based on BepInEx 6.0.0-be.367)
* Updated to latest Bleeding Edge build
* Added `System.Text.Json` as the default JSON parser and writer

#### 1.1.0 (based on BepInEx 6.0.0-be.363)
* Updated BepInEx build to account for new GTFO version
* Updated Unity base libs to 2019.4.21

#### 1.0.1 (based on BepInEx 6.0.0-be.350)

* Fixed typo in README

#### 1.0.0 (based on BepInEx 6.0.0-be.350)

* Initial release